## python-asteval 0.9.12

=== requirements.txt ===
##
## pip requirements file.  To install dependencies, use
## 
##  pip install -r requirements.txt
numpy>=1.6
six

=== debian/changelog ===
python-asteval (0.9.12-1) unstable; urgency=medium

  * Initial release (Closes: #907283)
  * The Python 2 version is needed since it is a new dependency of the
    new version of lmfit-py (to fix RC bugs #906419 and #906381).  I've
    verified that its also hard to drop the Python 2 version of lmfit-py
    since it has other reverse dependencies in Python 2.

 -- Andreas Tille <tille@debian.org>  Fri, 14 Sep 2018 09:27:00 +0200

=== debian/control ===
Source: python-asteval
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python-all,
               python-setuptools,
               python-six,
               python3-all,
               python3-setuptools,
               python3-six
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/science-team/python-asteval
Vcs-Git: https://salsa.debian.org/science-team/python-asteval.git
Homepage: https://github.com/newville/asteval

Package: python3-asteval
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: minimalistic evaluator of Python 3 expression using ast module
 ASTEVAL is a safe(ish) evaluator of Python expressions and statements,
 using Python's ast module. The idea is to provide a simple, safe, and
 robust miniature mathematical language that can handle user-input. The
 emphasis here is on mathematical expressions, and so many functions from
 numpy are imported and used if available.
 .
 Many Python lanquage constructs are supported by default, These include
 slicing, subscripting, list comprehension, conditionals (if-elif-else
 blocks and if expressions), flow control (for loops, while loops, and
 try-except-finally blocks). All data are Python objects, and built-in
 data structures (dictionaries, tuple, lists, numpy arrays, strings) are
 fully supported by default.
 .
 Many of the standard builtin Python functions are available, as are all
 mathemetical functions from the math module. If the numpy module is
 installed, many of its functions will also be available. Users can
 define and run their own functions within the confines of the
 limitations of asteval.
 .
 There are several absences and differences with Python, and asteval is
 by no means an attempt to reproduce Python with its own ast module. Some
 of the most important differences and absences are:
 .
   * Variable and function symbol names are held in a simple symbol table
     (a single dictionary), giving a flat namespace.
   * creating classes is not supported.
   * importing modules is not supported.
   * function decorators, yield, lambda, exec, and eval are not
     supported.
   * files can only be opened in read-only mode.
 .
 In addition, accessing many internal methods and classes of objects is
 forbidden in order to strengthen asteval against malicious user code. .
 .
 This package installs the library for Python 3.

Package: python-asteval
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: minimalistic evaluator of Python 2 expression using ast module
 ASTEVAL is a safe(ish) evaluator of Python expressions and statements,
 using Python's ast module. The idea is to provide a simple, safe, and
 robust miniature mathematical language that can handle user-input. The
 emphasis here is on mathematical expressions, and so many functions from
 numpy are imported and used if available.
 .
 Many Python lanquage constructs are supported by default, These include
 slicing, subscripting, list comprehension, conditionals (if-elif-else
 blocks and if expressions), flow control (for loops, while loops, and
 try-except-finally blocks). All data are Python objects, and built-in
 data structures (dictionaries, tuple, lists, numpy arrays, strings) are
 fully supported by default.
 .
 Many of the standard builtin Python functions are available, as are all
 mathemetical functions from the math module. If the numpy module is
 installed, many of its functions will also be available. Users can
 define and run their own functions within the confines of the
 limitations of asteval.
 .
 There are several absences and differences with Python, and asteval is
 by no means an attempt to reproduce Python with its own ast module. Some
 of the most important differences and absences are:
 .
   * Variable and function symbol names are held in a simple symbol table
     (a single dictionary), giving a flat namespace.
   * creating classes is not supported.
   * importing modules is not supported.
   * function decorators, yield, lambda, exec, and eval are not
     supported.
   * files can only be opened in read-only mode.
 .
 In addition, accessing many internal methods and classes of objects is
 forbidden in order to strengthen asteval against malicious user code. .
 .
 This package installs the library for Python 2.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=asteval

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-asteval 0.9.17

=== requirements.txt ===
##
## pip requirements file.  To install dependencies, use
##
##  pip install -r requirements.txt
## numpy>=1.6

=== debian/changelog ===
python-asteval (0.9.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9.17
  * Standards-Version bumped to 4.4.1 (nothing to do)

 -- Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>  Tue, 19 Nov 2019 10:33:25 +0100

python-asteval (0.9.12-2) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support (Closes: #937585).

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Oct 2019 13:59:58 +0200

=== debian/control ===
Source: python-asteval
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-six
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/python-asteval
Vcs-Git: https://salsa.debian.org/science-team/python-asteval.git
Homepage: https://github.com/newville/asteval

Package: python3-asteval
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: minimalistic evaluator of Python 3 expression using ast module
 ASTEVAL is a safe(ish) evaluator of Python expressions and statements,
 using Python's ast module. The idea is to provide a simple, safe, and
 robust miniature mathematical language that can handle user-input. The
 emphasis here is on mathematical expressions, and so many functions from
 numpy are imported and used if available.
 .
 Many Python lanquage constructs are supported by default, These include
 slicing, subscripting, list comprehension, conditionals (if-elif-else
 blocks and if expressions), flow control (for loops, while loops, and
 try-except-finally blocks). All data are Python objects, and built-in
 data structures (dictionaries, tuple, lists, numpy arrays, strings) are
 fully supported by default.
 .
 Many of the standard builtin Python functions are available, as are all
 mathemetical functions from the math module. If the numpy module is
 installed, many of its functions will also be available. Users can
 define and run their own functions within the confines of the
 limitations of asteval.
 .
 There are several absences and differences with Python, and asteval is
 by no means an attempt to reproduce Python with its own ast module. Some
 of the most important differences and absences are:
 .
   * Variable and function symbol names are held in a simple symbol table
     (a single dictionary), giving a flat namespace.
   * creating classes is not supported.
   * importing modules is not supported.
   * function decorators, yield, lambda, exec, and eval are not
     supported.
   * files can only be opened in read-only mode.
 .
 In addition, accessing many internal methods and classes of objects is
 forbidden in order to strengthen asteval against malicious user code. .
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=asteval

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-asteval 0.9.19

=== debian/changelog ===
python-asteval (0.9.19-2) unstable; urgency=medium

  * Team upload.
  * d/control: Add python3-pytest to Build-Depends.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 22 Oct 2020 09:54:35 +1300

python-asteval (0.9.19-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * Team upload.
  * fix salsa-ci.yml file

  [ Michael Hudson-Doyle ]
  * New upstream version 0.9.19
  * d/rules: set PYBUILD_TEST_PYTEST so tests are actually run during build. (Closes: #972602)
  * d/control: Add myself to Uploaders.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 22 Oct 2020 09:20:51 +1300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: python-asteval
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Michael Hudson-Doyle <mwhudson@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper (>= 11),
                dh-python,
                python3-all,
+               python3-pytest,
                python3-setuptools,
                python3-six
 Standards-Version: 4.4.1

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=asteval
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

https://github.com/newville/asteval/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## python-asteval 0.9.25

=== requirements.txt ===
##
## pip requirements file.  To install dependencies, use
##
##  pip install -r requirements.txt

=== debian/changelog ===
python-asteval (0.9.25-2) unstable; urgency=medium

  * Team upload.
  * fix autopkgtests

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 02 Sep 2021 11:59:31 +0200

python-asteval (0.9.25-1) unstable; urgency=medium

  * Team upload.
  * d/watch: The previous one was not working anymore.
  * New upstream version 0.9.25
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.
  * use dh-sequence-python3
  * Added build-dependency python3-setuptools-scm
  * Added autopkgtests

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 02 Sep 2021 11:00:28 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,15 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-pytest,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-six
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/python-asteval
 Vcs-Git: https://salsa.debian.org/science-team/python-asteval.git
 Homepage: https://github.com/newville/asteval

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=asteval
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -efu
 ; cp -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"/tests
 ; echo "Testing with $py:"
 ; $py -m unittest
 ; done
Depends: python3-all, python3-asteval, python3-pytest
Restrictions: allow-stderr, skip-not-installable

## python-asteval 0.9.28

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

INSTALLDIR = /home/newville/public_html/asteval/


# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest latexpdf
.PHONY: all install

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

asteval.pdf: latex
	cd $(BUILDDIR)/latex && make all-pdf
	cp -pr $(BUILDDIR)/latex/asteval.pdf ./asteval.pdf

all: html

install: all
	cp -pr $(BUILDDIR)/latex/asteval.pdf $(INSTALLDIR)/asteval.pdf
	cp -pr $(BUILDDIR)/html/* $(INSTALLDIR)/.

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C _build/latex all-pdf
	@echo "pdflatex finished; the PDF files are in _build/latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-asteval (0.9.28-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 0.9.28.
  * debian/: Apply "wrap-and-sort -abst".
  * d/control: Drop build-dep on python3-six.
  * d/control: Mark pytest-related pkgs as <!nocheck>.
  * d/rules: Do not install files generated by python3-coverage.

  [ Ileana Dumitrescu ]
  * d/rules: Remove version.py after dh_auto_clean.
  * d/copyright: Update debian year to 2022.
  * d/control: Add Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Wed, 09 Nov 2022 14:17:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,31 @@
 Source: python-asteval
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>,
-           Michael Hudson-Doyle <mwhudson@debian.org>
+Uploaders:
+ Andreas Tille <tille@debian.org>,
+ Michael Hudson-Doyle <mwhudson@debian.org>,
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               dh-sequence-python3,
-               python3-all,
-               python3-pytest,
-               python3-setuptools,
-               python3-setuptools-scm,
-               python3-six
-Standards-Version: 4.5.1
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python,
+ dh-sequence-python3,
+ python3-all,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-setuptools,
+ python3-setuptools-scm,
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/python-asteval
 Vcs-Git: https://salsa.debian.org/science-team/python-asteval.git
 Homepage: https://github.com/newville/asteval
 
 Package: python3-asteval
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: minimalistic evaluator of Python 3 expression using ast module
  ASTEVAL is a safe(ish) evaluator of Python expressions and statements,
  using Python's ast module. The idea is to provide a simple, safe, and

=== debian/tests/control ===
--- 
+++ 
@@ -5,5 +5,8 @@
  ; echo "Testing with $py:"
  ; $py -m unittest
  ; done
-Depends: python3-all, python3-asteval, python3-pytest
+Depends:
+ python3-all,
+ python3-asteval,
+ python3-pytest,
 Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/newville/asteval/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-asteval 0.9.30

=== debian/changelog ===
python-asteval (0.9.30-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 0.9.30.
  * d/control: Add python3-tk as test-build-dependency.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Jun 2023 14:36:22 -0400

## python-asteval 0.9.31

=== requirements.txt ===
##
## pip requirements file.  To install dependencies, use
##
##  pip install -r requirements.txt
importlib_metadata ; python_version < '3.8'

=== debian/changelog ===
python-asteval (0.9.31-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 0.9.31.

 -- Boyuan Yang <byang@debian.org>  Sat, 28 Oct 2023 06:08:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: python-asteval
+Section: python
+Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Andreas Tille <tille@debian.org>,
  Michael Hudson-Doyle <mwhudson@debian.org>,
-Section: python
 Testsuite: autopkgtest-pkg-python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -13,9 +13,10 @@
  python3-all,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
+ python3-tk <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/python-asteval
 Vcs-Git: https://salsa.debian.org/science-team/python-asteval.git

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,11 @@
 
 %:
 	dh $@ --buildsystem=pybuild
+
+execute_after_dh_auto_clean:
+	rm -f ./asteval/version.py
+
+execute_after_dh_auto_install:
+	# Drop files related to python3-coverage
+	rm -f debian/*/usr/lib/python3*/dist-packages/.coverage
+	rm -f debian/*/usr/lib/python3*/dist-packages/coverage.xml

=== debian/tests/control ===
--- 
+++ 
@@ -9,4 +9,5 @@
  python3-all,
  python3-asteval,
  python3-pytest,
+ python3-tk,
 Restrictions: allow-stderr, skip-not-installable

## python-asteval 1.0.6

=== debian/changelog ===
python-asteval (1.0.6-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Tue, 11 Feb 2025 10:44:13 +1100

python-asteval (1.0.6-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Change upstream source to original github.com/lmfit/asteval.
  * Build using pyproject.toml.
  * Fix typos in package long description.
  * Fix autopkgtest to use pytest.
  * Update Standards-Version to 4.7.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 09 Feb 2025 15:57:45 +1100

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,14 @@
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-tk <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/python-asteval
 Vcs-Git: https://salsa.debian.org/science-team/python-asteval.git
@@ -34,7 +35,7 @@
  emphasis here is on mathematical expressions, and so many functions from
  numpy are imported and used if available.
  .
- Many Python lanquage constructs are supported by default, These include
+ Many Python language constructs are supported by default. These include
  slicing, subscripting, list comprehension, conditionals (if-elif-else
  blocks and if expressions), flow control (for loops, while loops, and
  try-except-finally blocks). All data are Python objects, and built-in
@@ -42,7 +43,7 @@
  fully supported by default.
  .
  Many of the standard builtin Python functions are available, as are all
- mathemetical functions from the math module. If the numpy module is
+ mathematical functions from the math module. If the numpy module is
  installed, many of its functions will also be available. Users can
  define and run their own functions within the confines of the
  limitations of asteval.

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,4 @@
 	# Drop files related to python3-coverage
 	rm -f debian/*/usr/lib/python3*/dist-packages/.coverage
 	rm -f debian/*/usr/lib/python3*/dist-packages/coverage.xml
+	rm -rf debian/*/usr/lib/python3*/dist-packages/htmlcov

=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
  ; for py in $(py3versions -r 2>/dev/null)
  ; do cd "$AUTOPKGTEST_TMP"/tests
  ; echo "Testing with $py:"
- ; $py -m unittest
+ ; $py -m pytest
  ; done
 Depends:
  python3-all,

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/lmfit/asteval/releases?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
